/**
  ******************************************************************************
  * @file    FLASH/FLASH_EraseProgram/Inc/main.h
  * @author  MCD Application Team
  * @brief   Header for main.c module
  ******************************************************************************
  * @attention
  *
  * <h2><center>&copy; Copyright (c) 2017 STMicroelectronics.
  * All rights reserved.</center></h2>
  *
  * This software component is licensed by ST under BSD 3-Clause license,
  * the "License"; You may not use this file except in compliance with the
  * License. You may obtain a copy of the License at:
  *                        opensource.org/licenses/BSD-3-Clause
  *
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __MAIN_H
#define __MAIN_H

/* Includes ------------------------------------------------------------------*/
#include "stm32l4xx_hal.h"
#include "stm32l4r9i_eval.h"


/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Base address of the Flash sectors */

#define ADDR_FLASH_PAGE_0     ((uint32_t)0x08000000) /* Base @ of Page 0, 4 Kbytes */
#define ADDR_FLASH_PAGE_1     ((uint32_t)0x08001000) /* Base @ of Page 1, 4 Kbytes */
#define ADDR_FLASH_PAGE_2     ((uint32_t)0x08002000) /* Base @ of Page 2, 4 Kbytes */
#define ADDR_FLASH_PAGE_3     ((uint32_t)0x08003000) /* Base @ of Page 3, 4 Kbytes */
#define ADDR_FLASH_PAGE_4     ((uint32_t)0x08004000) /* Base @ of Page 4, 4 Kbytes */
#define ADDR_FLASH_PAGE_5     ((uint32_t)0x08005000) /* Base @ of Page 5, 4 Kbytes */
#define ADDR_FLASH_PAGE_6     ((uint32_t)0x08006000) /* Base @ of Page 6, 4 Kbytes */
#define ADDR_FLASH_PAGE_7     ((uint32_t)0x08007000) /* Base @ of Page 7, 4 Kbytes */
#define ADDR_FLASH_PAGE_8     ((uint32_t)0x08008000) /* Base @ of Page 8, 4 Kbytes */
#define ADDR_FLASH_PAGE_9     ((uint32_t)0x08009000) /* Base @ of Page 9, 4 Kbytes */
#define ADDR_FLASH_PAGE_10    ((uint32_t)0x0800A000) /* Base @ of Page 10, 4 Kbytes */
#define ADDR_FLASH_PAGE_11    ((uint32_t)0x0800B000) /* Base @ of Page 11, 4 Kbytes */
#define ADDR_FLASH_PAGE_12    ((uint32_t)0x0800C000) /* Base @ of Page 12, 4 Kbytes */
#define ADDR_FLASH_PAGE_13    ((uint32_t)0x0800D000) /* Base @ of Page 13, 4 Kbytes */
#define ADDR_FLASH_PAGE_14    ((uint32_t)0x0800E000) /* Base @ of Page 14, 4 Kbytes */
#define ADDR_FLASH_PAGE_15    ((uint32_t)0x0800F000) /* Base @ of Page 15, 4 Kbytes */
#define ADDR_FLASH_PAGE_16    ((uint32_t)0x08010000) /* Base @ of Page 16, 4 Kbytes */
#define ADDR_FLASH_PAGE_17    ((uint32_t)0x08011000) /* Base @ of Page 17, 4 Kbytes */
#define ADDR_FLASH_PAGE_18    ((uint32_t)0x08012000) /* Base @ of Page 18, 4 Kbytes */
#define ADDR_FLASH_PAGE_19    ((uint32_t)0x08013000) /* Base @ of Page 19, 4 Kbytes */
#define ADDR_FLASH_PAGE_20    ((uint32_t)0x08014000) /* Base @ of Page 20, 4 Kbytes */
#define ADDR_FLASH_PAGE_21    ((uint32_t)0x08015000) /* Base @ of Page 21, 4 Kbytes */
#define ADDR_FLASH_PAGE_22    ((uint32_t)0x08016000) /* Base @ of Page 22, 4 Kbytes */
#define ADDR_FLASH_PAGE_23    ((uint32_t)0x08017000) /* Base @ of Page 23, 4 Kbytes */
#define ADDR_FLASH_PAGE_24    ((uint32_t)0x08018000) /* Base @ of Page 24, 4 Kbytes */
#define ADDR_FLASH_PAGE_25    ((uint32_t)0x08019000) /* Base @ of Page 25, 4 Kbytes */
#define ADDR_FLASH_PAGE_26    ((uint32_t)0x0801A000) /* Base @ of Page 26, 4 Kbytes */
#define ADDR_FLASH_PAGE_27    ((uint32_t)0x0801B000) /* Base @ of Page 27, 4 Kbytes */
#define ADDR_FLASH_PAGE_28    ((uint32_t)0x0801C000) /* Base @ of Page 28, 4 Kbytes */
#define ADDR_FLASH_PAGE_29    ((uint32_t)0x0801D000) /* Base @ of Page 29, 4 Kbytes */
#define ADDR_FLASH_PAGE_30    ((uint32_t)0x0801E000) /* Base @ of Page 30, 4 Kbytes */
#define ADDR_FLASH_PAGE_31    ((uint32_t)0x0801F000) /* Base @ of Page 31, 4 Kbytes */
#define ADDR_FLASH_PAGE_32    ((uint32_t)0x08020000) /* Base @ of Page 32, 4 Kbytes */
#define ADDR_FLASH_PAGE_33    ((uint32_t)0x08021000) /* Base @ of Page 33, 4 Kbytes */
#define ADDR_FLASH_PAGE_34    ((uint32_t)0x08022000) /* Base @ of Page 34, 4 Kbytes */
#define ADDR_FLASH_PAGE_35    ((uint32_t)0x08023000) /* Base @ of Page 35, 4 Kbytes */
#define ADDR_FLASH_PAGE_36    ((uint32_t)0x08024000) /* Base @ of Page 36, 4 Kbytes */
#define ADDR_FLASH_PAGE_37    ((uint32_t)0x08025000) /* Base @ of Page 37, 4 Kbytes */
#define ADDR_FLASH_PAGE_38    ((uint32_t)0x08026000) /* Base @ of Page 38, 4 Kbytes */
#define ADDR_FLASH_PAGE_39    ((uint32_t)0x08027000) /* Base @ of Page 39, 4 Kbytes */
#define ADDR_FLASH_PAGE_40    ((uint32_t)0x08028000) /* Base @ of Page 40, 4 Kbytes */
#define ADDR_FLASH_PAGE_41    ((uint32_t)0x08029000) /* Base @ of Page 41, 4 Kbytes */
#define ADDR_FLASH_PAGE_42    ((uint32_t)0x0802A000) /* Base @ of Page 42, 4 Kbytes */
#define ADDR_FLASH_PAGE_43    ((uint32_t)0x0802B000) /* Base @ of Page 43, 4 Kbytes */
#define ADDR_FLASH_PAGE_44    ((uint32_t)0x0802C000) /* Base @ of Page 44, 4 Kbytes */
#define ADDR_FLASH_PAGE_45    ((uint32_t)0x0802D000) /* Base @ of Page 45, 4 Kbytes */
#define ADDR_FLASH_PAGE_46    ((uint32_t)0x0802E000) /* Base @ of Page 46, 4 Kbytes */
#define ADDR_FLASH_PAGE_47    ((uint32_t)0x0802F000) /* Base @ of Page 47, 4 Kbytes */
#define ADDR_FLASH_PAGE_48    ((uint32_t)0x08030000) /* Base @ of Page 48, 4 Kbytes */
#define ADDR_FLASH_PAGE_49    ((uint32_t)0x08031000) /* Base @ of Page 49, 4 Kbytes */
#define ADDR_FLASH_PAGE_50    ((uint32_t)0x08032000) /* Base @ of Page 50, 4 Kbytes */
#define ADDR_FLASH_PAGE_51    ((uint32_t)0x08033000) /* Base @ of Page 51, 4 Kbytes */
#define ADDR_FLASH_PAGE_52    ((uint32_t)0x08034000) /* Base @ of Page 52, 4 Kbytes */
#define ADDR_FLASH_PAGE_53    ((uint32_t)0x08035000) /* Base @ of Page 53, 4 Kbytes */
#define ADDR_FLASH_PAGE_54    ((uint32_t)0x08036000) /* Base @ of Page 54, 4 Kbytes */
#define ADDR_FLASH_PAGE_55    ((uint32_t)0x08037000) /* Base @ of Page 55, 4 Kbytes */
#define ADDR_FLASH_PAGE_56    ((uint32_t)0x08038000) /* Base @ of Page 56, 4 Kbytes */
#define ADDR_FLASH_PAGE_57    ((uint32_t)0x08039000) /* Base @ of Page 57, 4 Kbytes */
#define ADDR_FLASH_PAGE_58    ((uint32_t)0x0803A000) /* Base @ of Page 58, 4 Kbytes */
#define ADDR_FLASH_PAGE_59    ((uint32_t)0x0803B000) /* Base @ of Page 59, 4 Kbytes */
#define ADDR_FLASH_PAGE_60    ((uint32_t)0x0803C000) /* Base @ of Page 60, 4 Kbytes */
#define ADDR_FLASH_PAGE_61    ((uint32_t)0x0803D000) /* Base @ of Page 61, 4 Kbytes */
#define ADDR_FLASH_PAGE_62    ((uint32_t)0x0803E000) /* Base @ of Page 62, 4 Kbytes */
#define ADDR_FLASH_PAGE_63    ((uint32_t)0x0803F000) /* Base @ of Page 63, 4 Kbytes */
#define ADDR_FLASH_PAGE_64    ((uint32_t)0x08040000) /* Base @ of Page 64, 4 Kbytes */
#define ADDR_FLASH_PAGE_65    ((uint32_t)0x08041000) /* Base @ of Page 65, 4 Kbytes */
#define ADDR_FLASH_PAGE_66    ((uint32_t)0x08042000) /* Base @ of Page 66, 4 Kbytes */
#define ADDR_FLASH_PAGE_67    ((uint32_t)0x08043000) /* Base @ of Page 67, 4 Kbytes */
#define ADDR_FLASH_PAGE_68    ((uint32_t)0x08044000) /* Base @ of Page 68, 4 Kbytes */
#define ADDR_FLASH_PAGE_69    ((uint32_t)0x08045000) /* Base @ of Page 69, 4 Kbytes */
#define ADDR_FLASH_PAGE_70    ((uint32_t)0x08046000) /* Base @ of Page 70, 4 Kbytes */
#define ADDR_FLASH_PAGE_71    ((uint32_t)0x08047000) /* Base @ of Page 71, 4 Kbytes */
#define ADDR_FLASH_PAGE_72    ((uint32_t)0x08048000) /* Base @ of Page 72, 4 Kbytes */
#define ADDR_FLASH_PAGE_73    ((uint32_t)0x08049000) /* Base @ of Page 73, 4 Kbytes */
#define ADDR_FLASH_PAGE_74    ((uint32_t)0x0804A000) /* Base @ of Page 74, 4 Kbytes */
#define ADDR_FLASH_PAGE_75    ((uint32_t)0x0804B000) /* Base @ of Page 75, 4 Kbytes */
#define ADDR_FLASH_PAGE_76    ((uint32_t)0x0804C000) /* Base @ of Page 76, 4 Kbytes */
#define ADDR_FLASH_PAGE_77    ((uint32_t)0x0804D000) /* Base @ of Page 77, 4 Kbytes */
#define ADDR_FLASH_PAGE_78    ((uint32_t)0x0804E000) /* Base @ of Page 78, 4 Kbytes */
#define ADDR_FLASH_PAGE_79    ((uint32_t)0x0804F000) /* Base @ of Page 79, 4 Kbytes */
#define ADDR_FLASH_PAGE_80    ((uint32_t)0x08050000) /* Base @ of Page 80, 4 Kbytes */
#define ADDR_FLASH_PAGE_81    ((uint32_t)0x08051000) /* Base @ of Page 81, 4 Kbytes */
#define ADDR_FLASH_PAGE_82    ((uint32_t)0x08052000) /* Base @ of Page 82, 4 Kbytes */
#define ADDR_FLASH_PAGE_83    ((uint32_t)0x08053000) /* Base @ of Page 83, 4 Kbytes */
#define ADDR_FLASH_PAGE_84    ((uint32_t)0x08054000) /* Base @ of Page 84, 4 Kbytes */
#define ADDR_FLASH_PAGE_85    ((uint32_t)0x08055000) /* Base @ of Page 85, 4 Kbytes */
#define ADDR_FLASH_PAGE_86    ((uint32_t)0x08056000) /* Base @ of Page 86, 4 Kbytes */
#define ADDR_FLASH_PAGE_87    ((uint32_t)0x08057000) /* Base @ of Page 87, 4 Kbytes */
#define ADDR_FLASH_PAGE_88    ((uint32_t)0x08058000) /* Base @ of Page 88, 4 Kbytes */
#define ADDR_FLASH_PAGE_89    ((uint32_t)0x08059000) /* Base @ of Page 89, 4 Kbytes */
#define ADDR_FLASH_PAGE_90    ((uint32_t)0x0805A000) /* Base @ of Page 90, 4 Kbytes */
#define ADDR_FLASH_PAGE_91    ((uint32_t)0x0805B000) /* Base @ of Page 91, 4 Kbytes */
#define ADDR_FLASH_PAGE_92    ((uint32_t)0x0805C000) /* Base @ of Page 92, 4 Kbytes */
#define ADDR_FLASH_PAGE_93    ((uint32_t)0x0805D000) /* Base @ of Page 93, 4 Kbytes */
#define ADDR_FLASH_PAGE_94    ((uint32_t)0x0805E000) /* Base @ of Page 94, 4 Kbytes */
#define ADDR_FLASH_PAGE_95    ((uint32_t)0x0805F000) /* Base @ of Page 95, 4 Kbytes */
#define ADDR_FLASH_PAGE_96    ((uint32_t)0x08060000) /* Base @ of Page 96, 4 Kbytes */
#define ADDR_FLASH_PAGE_97    ((uint32_t)0x08061000) /* Base @ of Page 97, 4 Kbytes */
#define ADDR_FLASH_PAGE_98    ((uint32_t)0x08062000) /* Base @ of Page 98, 4 Kbytes */
#define ADDR_FLASH_PAGE_99    ((uint32_t)0x08063000) /* Base @ of Page 99, 4 Kbytes */
#define ADDR_FLASH_PAGE_100   ((uint32_t)0x08064000) /* Base @ of Page 100, 4 Kbytes */
#define ADDR_FLASH_PAGE_101   ((uint32_t)0x08065000) /* Base @ of Page 101, 4 Kbytes */
#define ADDR_FLASH_PAGE_102   ((uint32_t)0x08066000) /* Base @ of Page 102, 4 Kbytes */
#define ADDR_FLASH_PAGE_103   ((uint32_t)0x08067000) /* Base @ of Page 103, 4 Kbytes */
#define ADDR_FLASH_PAGE_104   ((uint32_t)0x08068000) /* Base @ of Page 104, 4 Kbytes */
#define ADDR_FLASH_PAGE_105   ((uint32_t)0x08069000) /* Base @ of Page 105, 4 Kbytes */
#define ADDR_FLASH_PAGE_106   ((uint32_t)0x0806A000) /* Base @ of Page 106, 4 Kbytes */
#define ADDR_FLASH_PAGE_107   ((uint32_t)0x0806B000) /* Base @ of Page 107, 4 Kbytes */
#define ADDR_FLASH_PAGE_108   ((uint32_t)0x0806C000) /* Base @ of Page 108, 4 Kbytes */
#define ADDR_FLASH_PAGE_109   ((uint32_t)0x0806D000) /* Base @ of Page 109, 4 Kbytes */
#define ADDR_FLASH_PAGE_110   ((uint32_t)0x0806E000) /* Base @ of Page 110, 4 Kbytes */
#define ADDR_FLASH_PAGE_111   ((uint32_t)0x0806F000) /* Base @ of Page 111, 4 Kbytes */
#define ADDR_FLASH_PAGE_112   ((uint32_t)0x08070000) /* Base @ of Page 112, 4 Kbytes */
#define ADDR_FLASH_PAGE_113   ((uint32_t)0x08071000) /* Base @ of Page 113, 4 Kbytes */
#define ADDR_FLASH_PAGE_114   ((uint32_t)0x08072000) /* Base @ of Page 114, 4 Kbytes */
#define ADDR_FLASH_PAGE_115   ((uint32_t)0x08073000) /* Base @ of Page 115, 4 Kbytes */
#define ADDR_FLASH_PAGE_116   ((uint32_t)0x08074000) /* Base @ of Page 116, 4 Kbytes */
#define ADDR_FLASH_PAGE_117   ((uint32_t)0x08075000) /* Base @ of Page 117, 4 Kbytes */
#define ADDR_FLASH_PAGE_118   ((uint32_t)0x08076000) /* Base @ of Page 118, 4 Kbytes */
#define ADDR_FLASH_PAGE_119   ((uint32_t)0x08077000) /* Base @ of Page 119, 4 Kbytes */
#define ADDR_FLASH_PAGE_120   ((uint32_t)0x08078000) /* Base @ of Page 120, 4 Kbytes */
#define ADDR_FLASH_PAGE_121   ((uint32_t)0x08079000) /* Base @ of Page 121, 4 Kbytes */
#define ADDR_FLASH_PAGE_122   ((uint32_t)0x0807A000) /* Base @ of Page 122, 4 Kbytes */
#define ADDR_FLASH_PAGE_123   ((uint32_t)0x0807B000) /* Base @ of Page 123, 4 Kbytes */
#define ADDR_FLASH_PAGE_124   ((uint32_t)0x0807C000) /* Base @ of Page 124, 4 Kbytes */
#define ADDR_FLASH_PAGE_125   ((uint32_t)0x0807D000) /* Base @ of Page 125, 4 Kbytes */
#define ADDR_FLASH_PAGE_126   ((uint32_t)0x0807E000) /* Base @ of Page 126, 4 Kbytes */
#define ADDR_FLASH_PAGE_127   ((uint32_t)0x0807F000) /* Base @ of Page 127, 4 Kbytes */
#define ADDR_FLASH_PAGE_128   ((uint32_t)0x08080000) /* Base @ of Page 128, 4 Kbytes */
#define ADDR_FLASH_PAGE_129   ((uint32_t)0x08081000) /* Base @ of Page 129, 4 Kbytes */
#define ADDR_FLASH_PAGE_130   ((uint32_t)0x08082000) /* Base @ of Page 130, 4 Kbytes */
#define ADDR_FLASH_PAGE_131   ((uint32_t)0x08083000) /* Base @ of Page 131, 4 Kbytes */
#define ADDR_FLASH_PAGE_132   ((uint32_t)0x08084000) /* Base @ of Page 132, 4 Kbytes */
#define ADDR_FLASH_PAGE_133   ((uint32_t)0x08085000) /* Base @ of Page 133, 4 Kbytes */
#define ADDR_FLASH_PAGE_134   ((uint32_t)0x08086000) /* Base @ of Page 134, 4 Kbytes */
#define ADDR_FLASH_PAGE_135   ((uint32_t)0x08087000) /* Base @ of Page 135, 4 Kbytes */
#define ADDR_FLASH_PAGE_136   ((uint32_t)0x08088000) /* Base @ of Page 136, 4 Kbytes */
#define ADDR_FLASH_PAGE_137   ((uint32_t)0x08089000) /* Base @ of Page 137, 4 Kbytes */
#define ADDR_FLASH_PAGE_138   ((uint32_t)0x0808A000) /* Base @ of Page 138, 4 Kbytes */
#define ADDR_FLASH_PAGE_139   ((uint32_t)0x0808B000) /* Base @ of Page 139, 4 Kbytes */
#define ADDR_FLASH_PAGE_140   ((uint32_t)0x0808C000) /* Base @ of Page 140, 4 Kbytes */
#define ADDR_FLASH_PAGE_141   ((uint32_t)0x0808D000) /* Base @ of Page 141, 4 Kbytes */
#define ADDR_FLASH_PAGE_142   ((uint32_t)0x0808E000) /* Base @ of Page 142, 4 Kbytes */
#define ADDR_FLASH_PAGE_143   ((uint32_t)0x0808F000) /* Base @ of Page 143, 4 Kbytes */
#define ADDR_FLASH_PAGE_144   ((uint32_t)0x08090000) /* Base @ of Page 144, 4 Kbytes */
#define ADDR_FLASH_PAGE_145   ((uint32_t)0x08091000) /* Base @ of Page 145, 4 Kbytes */
#define ADDR_FLASH_PAGE_146   ((uint32_t)0x08092000) /* Base @ of Page 146, 4 Kbytes */
#define ADDR_FLASH_PAGE_147   ((uint32_t)0x08093000) /* Base @ of Page 147, 4 Kbytes */
#define ADDR_FLASH_PAGE_148   ((uint32_t)0x08094000) /* Base @ of Page 148, 4 Kbytes */
#define ADDR_FLASH_PAGE_149   ((uint32_t)0x08095000) /* Base @ of Page 149, 4 Kbytes */
#define ADDR_FLASH_PAGE_150   ((uint32_t)0x08096000) /* Base @ of Page 150, 4 Kbytes */
#define ADDR_FLASH_PAGE_151   ((uint32_t)0x08097000) /* Base @ of Page 151, 4 Kbytes */
#define ADDR_FLASH_PAGE_152   ((uint32_t)0x08098000) /* Base @ of Page 152, 4 Kbytes */
#define ADDR_FLASH_PAGE_153   ((uint32_t)0x08099000) /* Base @ of Page 153, 4 Kbytes */
#define ADDR_FLASH_PAGE_154   ((uint32_t)0x0809A000) /* Base @ of Page 154, 4 Kbytes */
#define ADDR_FLASH_PAGE_155   ((uint32_t)0x0809B000) /* Base @ of Page 155, 4 Kbytes */
#define ADDR_FLASH_PAGE_156   ((uint32_t)0x0809C000) /* Base @ of Page 156, 4 Kbytes */
#define ADDR_FLASH_PAGE_157   ((uint32_t)0x0809D000) /* Base @ of Page 157, 4 Kbytes */
#define ADDR_FLASH_PAGE_158   ((uint32_t)0x0809E000) /* Base @ of Page 158, 4 Kbytes */
#define ADDR_FLASH_PAGE_159   ((uint32_t)0x0809F000) /* Base @ of Page 159, 4 Kbytes */
#define ADDR_FLASH_PAGE_160   ((uint32_t)0x080A0000) /* Base @ of Page 160, 4 Kbytes */
#define ADDR_FLASH_PAGE_161   ((uint32_t)0x080A1000) /* Base @ of Page 161, 4 Kbytes */
#define ADDR_FLASH_PAGE_162   ((uint32_t)0x080A2000) /* Base @ of Page 162, 4 Kbytes */
#define ADDR_FLASH_PAGE_163   ((uint32_t)0x080A3000) /* Base @ of Page 163, 4 Kbytes */
#define ADDR_FLASH_PAGE_164   ((uint32_t)0x080A4000) /* Base @ of Page 164, 4 Kbytes */
#define ADDR_FLASH_PAGE_165   ((uint32_t)0x080A5000) /* Base @ of Page 165, 4 Kbytes */
#define ADDR_FLASH_PAGE_166   ((uint32_t)0x080A6000) /* Base @ of Page 166, 4 Kbytes */
#define ADDR_FLASH_PAGE_167   ((uint32_t)0x080A7000) /* Base @ of Page 167, 4 Kbytes */
#define ADDR_FLASH_PAGE_168   ((uint32_t)0x080A8000) /* Base @ of Page 168, 4 Kbytes */
#define ADDR_FLASH_PAGE_169   ((uint32_t)0x080A9000) /* Base @ of Page 169, 4 Kbytes */
#define ADDR_FLASH_PAGE_170   ((uint32_t)0x080AA000) /* Base @ of Page 170, 4 Kbytes */
#define ADDR_FLASH_PAGE_171   ((uint32_t)0x080AB000) /* Base @ of Page 171, 4 Kbytes */
#define ADDR_FLASH_PAGE_172   ((uint32_t)0x080AC000) /* Base @ of Page 172, 4 Kbytes */
#define ADDR_FLASH_PAGE_173   ((uint32_t)0x080AD000) /* Base @ of Page 173, 4 Kbytes */
#define ADDR_FLASH_PAGE_174   ((uint32_t)0x080AE000) /* Base @ of Page 174, 4 Kbytes */
#define ADDR_FLASH_PAGE_175   ((uint32_t)0x080AF000) /* Base @ of Page 175, 4 Kbytes */
#define ADDR_FLASH_PAGE_176   ((uint32_t)0x080B0000) /* Base @ of Page 176, 4 Kbytes */
#define ADDR_FLASH_PAGE_177   ((uint32_t)0x080B1000) /* Base @ of Page 177, 4 Kbytes */
#define ADDR_FLASH_PAGE_178   ((uint32_t)0x080B2000) /* Base @ of Page 178, 4 Kbytes */
#define ADDR_FLASH_PAGE_179   ((uint32_t)0x080B3000) /* Base @ of Page 179, 4 Kbytes */
#define ADDR_FLASH_PAGE_180   ((uint32_t)0x080B4000) /* Base @ of Page 180, 4 Kbytes */
#define ADDR_FLASH_PAGE_181   ((uint32_t)0x080B5000) /* Base @ of Page 181, 4 Kbytes */
#define ADDR_FLASH_PAGE_182   ((uint32_t)0x080B6000) /* Base @ of Page 182, 4 Kbytes */
#define ADDR_FLASH_PAGE_183   ((uint32_t)0x080B7000) /* Base @ of Page 183, 4 Kbytes */
#define ADDR_FLASH_PAGE_184   ((uint32_t)0x080B8000) /* Base @ of Page 184, 4 Kbytes */
#define ADDR_FLASH_PAGE_185   ((uint32_t)0x080B9000) /* Base @ of Page 185, 4 Kbytes */
#define ADDR_FLASH_PAGE_186   ((uint32_t)0x080BA000) /* Base @ of Page 186, 4 Kbytes */
#define ADDR_FLASH_PAGE_187   ((uint32_t)0x080BB000) /* Base @ of Page 187, 4 Kbytes */
#define ADDR_FLASH_PAGE_188   ((uint32_t)0x080BC000) /* Base @ of Page 188, 4 Kbytes */
#define ADDR_FLASH_PAGE_189   ((uint32_t)0x080BD000) /* Base @ of Page 189, 4 Kbytes */
#define ADDR_FLASH_PAGE_190   ((uint32_t)0x080BE000) /* Base @ of Page 190, 4 Kbytes */
#define ADDR_FLASH_PAGE_191   ((uint32_t)0x080BF000) /* Base @ of Page 191, 4 Kbytes */
#define ADDR_FLASH_PAGE_192   ((uint32_t)0x080C0000) /* Base @ of Page 192, 4 Kbytes */
#define ADDR_FLASH_PAGE_193   ((uint32_t)0x080C1000) /* Base @ of Page 193, 4 Kbytes */
#define ADDR_FLASH_PAGE_194   ((uint32_t)0x080C2000) /* Base @ of Page 194, 4 Kbytes */
#define ADDR_FLASH_PAGE_195   ((uint32_t)0x080C3000) /* Base @ of Page 195, 4 Kbytes */
#define ADDR_FLASH_PAGE_196   ((uint32_t)0x080C4000) /* Base @ of Page 196, 4 Kbytes */
#define ADDR_FLASH_PAGE_197   ((uint32_t)0x080C5000) /* Base @ of Page 197, 4 Kbytes */
#define ADDR_FLASH_PAGE_198   ((uint32_t)0x080C6000) /* Base @ of Page 198, 4 Kbytes */
#define ADDR_FLASH_PAGE_199   ((uint32_t)0x080C7000) /* Base @ of Page 199, 4 Kbytes */
#define ADDR_FLASH_PAGE_200   ((uint32_t)0x080C8000) /* Base @ of Page 200, 4 Kbytes */
#define ADDR_FLASH_PAGE_201   ((uint32_t)0x080C9000) /* Base @ of Page 201, 4 Kbytes */
#define ADDR_FLASH_PAGE_202   ((uint32_t)0x080CA000) /* Base @ of Page 202, 4 Kbytes */
#define ADDR_FLASH_PAGE_203   ((uint32_t)0x080CB000) /* Base @ of Page 203, 4 Kbytes */
#define ADDR_FLASH_PAGE_204   ((uint32_t)0x080CC000) /* Base @ of Page 204, 4 Kbytes */
#define ADDR_FLASH_PAGE_205   ((uint32_t)0x080CD000) /* Base @ of Page 205, 4 Kbytes */
#define ADDR_FLASH_PAGE_206   ((uint32_t)0x080CE000) /* Base @ of Page 206, 4 Kbytes */
#define ADDR_FLASH_PAGE_207   ((uint32_t)0x080CF000) /* Base @ of Page 207, 4 Kbytes */
#define ADDR_FLASH_PAGE_208   ((uint32_t)0x080D0000) /* Base @ of Page 208, 4 Kbytes */
#define ADDR_FLASH_PAGE_209   ((uint32_t)0x080D1000) /* Base @ of Page 209, 4 Kbytes */
#define ADDR_FLASH_PAGE_210   ((uint32_t)0x080D2000) /* Base @ of Page 210, 4 Kbytes */
#define ADDR_FLASH_PAGE_211   ((uint32_t)0x080D3000) /* Base @ of Page 211, 4 Kbytes */
#define ADDR_FLASH_PAGE_212   ((uint32_t)0x080D4000) /* Base @ of Page 212, 4 Kbytes */
#define ADDR_FLASH_PAGE_213   ((uint32_t)0x080D5000) /* Base @ of Page 213, 4 Kbytes */
#define ADDR_FLASH_PAGE_214   ((uint32_t)0x080D6000) /* Base @ of Page 214, 4 Kbytes */
#define ADDR_FLASH_PAGE_215   ((uint32_t)0x080D7000) /* Base @ of Page 215, 4 Kbytes */
#define ADDR_FLASH_PAGE_216   ((uint32_t)0x080D8000) /* Base @ of Page 216, 4 Kbytes */
#define ADDR_FLASH_PAGE_217   ((uint32_t)0x080D9000) /* Base @ of Page 217, 4 Kbytes */
#define ADDR_FLASH_PAGE_218   ((uint32_t)0x080DA000) /* Base @ of Page 218, 4 Kbytes */
#define ADDR_FLASH_PAGE_219   ((uint32_t)0x080DB000) /* Base @ of Page 219, 4 Kbytes */
#define ADDR_FLASH_PAGE_220   ((uint32_t)0x080DC000) /* Base @ of Page 220, 4 Kbytes */
#define ADDR_FLASH_PAGE_221   ((uint32_t)0x080DD000) /* Base @ of Page 221, 4 Kbytes */
#define ADDR_FLASH_PAGE_222   ((uint32_t)0x080DE000) /* Base @ of Page 222, 4 Kbytes */
#define ADDR_FLASH_PAGE_223   ((uint32_t)0x080DF000) /* Base @ of Page 223, 4 Kbytes */
#define ADDR_FLASH_PAGE_224   ((uint32_t)0x080E0000) /* Base @ of Page 224, 4 Kbytes */
#define ADDR_FLASH_PAGE_225   ((uint32_t)0x080E1000) /* Base @ of Page 225, 4 Kbytes */
#define ADDR_FLASH_PAGE_226   ((uint32_t)0x080E2000) /* Base @ of Page 226, 4 Kbytes */
#define ADDR_FLASH_PAGE_227   ((uint32_t)0x080E3000) /* Base @ of Page 227, 4 Kbytes */
#define ADDR_FLASH_PAGE_228   ((uint32_t)0x080E4000) /* Base @ of Page 228, 4 Kbytes */
#define ADDR_FLASH_PAGE_229   ((uint32_t)0x080E5000) /* Base @ of Page 229, 4 Kbytes */
#define ADDR_FLASH_PAGE_230   ((uint32_t)0x080E6000) /* Base @ of Page 230, 4 Kbytes */
#define ADDR_FLASH_PAGE_231   ((uint32_t)0x080E7000) /* Base @ of Page 231, 4 Kbytes */
#define ADDR_FLASH_PAGE_232   ((uint32_t)0x080E8000) /* Base @ of Page 232, 4 Kbytes */
#define ADDR_FLASH_PAGE_233   ((uint32_t)0x080E9000) /* Base @ of Page 233, 4 Kbytes */
#define ADDR_FLASH_PAGE_234   ((uint32_t)0x080EA000) /* Base @ of Page 234, 4 Kbytes */
#define ADDR_FLASH_PAGE_235   ((uint32_t)0x080EB000) /* Base @ of Page 235, 4 Kbytes */
#define ADDR_FLASH_PAGE_236   ((uint32_t)0x080EC000) /* Base @ of Page 236, 4 Kbytes */
#define ADDR_FLASH_PAGE_237   ((uint32_t)0x080ED000) /* Base @ of Page 237, 4 Kbytes */
#define ADDR_FLASH_PAGE_238   ((uint32_t)0x080EE000) /* Base @ of Page 238, 4 Kbytes */
#define ADDR_FLASH_PAGE_239   ((uint32_t)0x080EF000) /* Base @ of Page 239, 4 Kbytes */
#define ADDR_FLASH_PAGE_240   ((uint32_t)0x080F0000) /* Base @ of Page 240, 4 Kbytes */
#define ADDR_FLASH_PAGE_241   ((uint32_t)0x080F1000) /* Base @ of Page 241, 4 Kbytes */
#define ADDR_FLASH_PAGE_242   ((uint32_t)0x080F2000) /* Base @ of Page 242, 4 Kbytes */
#define ADDR_FLASH_PAGE_243   ((uint32_t)0x080F3000) /* Base @ of Page 243, 4 Kbytes */
#define ADDR_FLASH_PAGE_244   ((uint32_t)0x080F4000) /* Base @ of Page 244, 4 Kbytes */
#define ADDR_FLASH_PAGE_245   ((uint32_t)0x080F5000) /* Base @ of Page 245, 4 Kbytes */
#define ADDR_FLASH_PAGE_246   ((uint32_t)0x080F6000) /* Base @ of Page 246, 4 Kbytes */
#define ADDR_FLASH_PAGE_247   ((uint32_t)0x080F7000) /* Base @ of Page 247, 4 Kbytes */
#define ADDR_FLASH_PAGE_248   ((uint32_t)0x080F8000) /* Base @ of Page 248, 4 Kbytes */
#define ADDR_FLASH_PAGE_249   ((uint32_t)0x080F9000) /* Base @ of Page 249, 4 Kbytes */
#define ADDR_FLASH_PAGE_250   ((uint32_t)0x080FA000) /* Base @ of Page 250, 4 Kbytes */
#define ADDR_FLASH_PAGE_251   ((uint32_t)0x080FB000) /* Base @ of Page 251, 4 Kbytes */
#define ADDR_FLASH_PAGE_252   ((uint32_t)0x080FC000) /* Base @ of Page 252, 4 Kbytes */
#define ADDR_FLASH_PAGE_253   ((uint32_t)0x080FD000) /* Base @ of Page 253, 4 Kbytes */
#define ADDR_FLASH_PAGE_254   ((uint32_t)0x080FE000) /* Base @ of Page 254, 4 Kbytes */
#define ADDR_FLASH_PAGE_255   ((uint32_t)0x080FF000) /* Base @ of Page 255, 4 Kbytes */
#define ADDR_FLASH_PAGE_256   ((uint32_t)0x08100000) /* Base @ of Page 256, 4 Kbytes */
#define ADDR_FLASH_PAGE_257   ((uint32_t)0x08101000) /* Base @ of Page 257, 4 Kbytes */
#define ADDR_FLASH_PAGE_258   ((uint32_t)0x08102000) /* Base @ of Page 258, 4 Kbytes */
#define ADDR_FLASH_PAGE_259   ((uint32_t)0x08103000) /* Base @ of Page 259, 4 Kbytes */
#define ADDR_FLASH_PAGE_260   ((uint32_t)0x08104000) /* Base @ of Page 260, 4 Kbytes */
#define ADDR_FLASH_PAGE_261   ((uint32_t)0x08105000) /* Base @ of Page 261, 4 Kbytes */
#define ADDR_FLASH_PAGE_262   ((uint32_t)0x08106000) /* Base @ of Page 262, 4 Kbytes */
#define ADDR_FLASH_PAGE_263   ((uint32_t)0x08107000) /* Base @ of Page 263, 4 Kbytes */
#define ADDR_FLASH_PAGE_264   ((uint32_t)0x08108000) /* Base @ of Page 264, 4 Kbytes */
#define ADDR_FLASH_PAGE_265   ((uint32_t)0x08109000) /* Base @ of Page 265, 4 Kbytes */
#define ADDR_FLASH_PAGE_266   ((uint32_t)0x0810A000) /* Base @ of Page 266, 4 Kbytes */
#define ADDR_FLASH_PAGE_267   ((uint32_t)0x0810B000) /* Base @ of Page 267, 4 Kbytes */
#define ADDR_FLASH_PAGE_268   ((uint32_t)0x0810C000) /* Base @ of Page 268, 4 Kbytes */
#define ADDR_FLASH_PAGE_269   ((uint32_t)0x0810D000) /* Base @ of Page 269, 4 Kbytes */
#define ADDR_FLASH_PAGE_270   ((uint32_t)0x0810E000) /* Base @ of Page 270, 4 Kbytes */
#define ADDR_FLASH_PAGE_271   ((uint32_t)0x0810F000) /* Base @ of Page 271, 4 Kbytes */
#define ADDR_FLASH_PAGE_272   ((uint32_t)0x08110000) /* Base @ of Page 272, 4 Kbytes */
#define ADDR_FLASH_PAGE_273   ((uint32_t)0x08111000) /* Base @ of Page 273, 4 Kbytes */
#define ADDR_FLASH_PAGE_274   ((uint32_t)0x08112000) /* Base @ of Page 274, 4 Kbytes */
#define ADDR_FLASH_PAGE_275   ((uint32_t)0x08113000) /* Base @ of Page 275, 4 Kbytes */
#define ADDR_FLASH_PAGE_276   ((uint32_t)0x08114000) /* Base @ of Page 276, 4 Kbytes */
#define ADDR_FLASH_PAGE_277   ((uint32_t)0x08115000) /* Base @ of Page 277, 4 Kbytes */
#define ADDR_FLASH_PAGE_278   ((uint32_t)0x08116000) /* Base @ of Page 278, 4 Kbytes */
#define ADDR_FLASH_PAGE_279   ((uint32_t)0x08117000) /* Base @ of Page 279, 4 Kbytes */
#define ADDR_FLASH_PAGE_280   ((uint32_t)0x08118000) /* Base @ of Page 280, 4 Kbytes */
#define ADDR_FLASH_PAGE_281   ((uint32_t)0x08119000) /* Base @ of Page 281, 4 Kbytes */
#define ADDR_FLASH_PAGE_282   ((uint32_t)0x0811A000) /* Base @ of Page 282, 4 Kbytes */
#define ADDR_FLASH_PAGE_283   ((uint32_t)0x0811B000) /* Base @ of Page 283, 4 Kbytes */
#define ADDR_FLASH_PAGE_284   ((uint32_t)0x0811C000) /* Base @ of Page 284, 4 Kbytes */
#define ADDR_FLASH_PAGE_285   ((uint32_t)0x0811D000) /* Base @ of Page 285, 4 Kbytes */
#define ADDR_FLASH_PAGE_286   ((uint32_t)0x0811E000) /* Base @ of Page 286, 4 Kbytes */
#define ADDR_FLASH_PAGE_287   ((uint32_t)0x0811F000) /* Base @ of Page 287, 4 Kbytes */
#define ADDR_FLASH_PAGE_288   ((uint32_t)0x08120000) /* Base @ of Page 288, 4 Kbytes */
#define ADDR_FLASH_PAGE_289   ((uint32_t)0x08121000) /* Base @ of Page 289, 4 Kbytes */
#define ADDR_FLASH_PAGE_290   ((uint32_t)0x08122000) /* Base @ of Page 290, 4 Kbytes */
#define ADDR_FLASH_PAGE_291   ((uint32_t)0x08123000) /* Base @ of Page 291, 4 Kbytes */
#define ADDR_FLASH_PAGE_292   ((uint32_t)0x08124000) /* Base @ of Page 292, 4 Kbytes */
#define ADDR_FLASH_PAGE_293   ((uint32_t)0x08125000) /* Base @ of Page 293, 4 Kbytes */
#define ADDR_FLASH_PAGE_294   ((uint32_t)0x08126000) /* Base @ of Page 294, 4 Kbytes */
#define ADDR_FLASH_PAGE_295   ((uint32_t)0x08127000) /* Base @ of Page 295, 4 Kbytes */
#define ADDR_FLASH_PAGE_296   ((uint32_t)0x08128000) /* Base @ of Page 296, 4 Kbytes */
#define ADDR_FLASH_PAGE_297   ((uint32_t)0x08129000) /* Base @ of Page 297, 4 Kbytes */
#define ADDR_FLASH_PAGE_298   ((uint32_t)0x0812A000) /* Base @ of Page 298, 4 Kbytes */
#define ADDR_FLASH_PAGE_299   ((uint32_t)0x0812B000) /* Base @ of Page 299, 4 Kbytes */
#define ADDR_FLASH_PAGE_300   ((uint32_t)0x0812C000) /* Base @ of Page 300, 4 Kbytes */
#define ADDR_FLASH_PAGE_301   ((uint32_t)0x0812D000) /* Base @ of Page 301, 4 Kbytes */
#define ADDR_FLASH_PAGE_302   ((uint32_t)0x0812E000) /* Base @ of Page 302, 4 Kbytes */
#define ADDR_FLASH_PAGE_303   ((uint32_t)0x0812F000) /* Base @ of Page 303, 4 Kbytes */
#define ADDR_FLASH_PAGE_304   ((uint32_t)0x08130000) /* Base @ of Page 304, 4 Kbytes */
#define ADDR_FLASH_PAGE_305   ((uint32_t)0x08131000) /* Base @ of Page 305, 4 Kbytes */
#define ADDR_FLASH_PAGE_306   ((uint32_t)0x08132000) /* Base @ of Page 306, 4 Kbytes */
#define ADDR_FLASH_PAGE_307   ((uint32_t)0x08133000) /* Base @ of Page 307, 4 Kbytes */
#define ADDR_FLASH_PAGE_308   ((uint32_t)0x08134000) /* Base @ of Page 308, 4 Kbytes */
#define ADDR_FLASH_PAGE_309   ((uint32_t)0x08135000) /* Base @ of Page 309, 4 Kbytes */
#define ADDR_FLASH_PAGE_310   ((uint32_t)0x08136000) /* Base @ of Page 310, 4 Kbytes */
#define ADDR_FLASH_PAGE_311   ((uint32_t)0x08137000) /* Base @ of Page 311, 4 Kbytes */
#define ADDR_FLASH_PAGE_312   ((uint32_t)0x08138000) /* Base @ of Page 312, 4 Kbytes */
#define ADDR_FLASH_PAGE_313   ((uint32_t)0x08139000) /* Base @ of Page 313, 4 Kbytes */
#define ADDR_FLASH_PAGE_314   ((uint32_t)0x0813A000) /* Base @ of Page 314, 4 Kbytes */
#define ADDR_FLASH_PAGE_315   ((uint32_t)0x0813B000) /* Base @ of Page 315, 4 Kbytes */
#define ADDR_FLASH_PAGE_316   ((uint32_t)0x0813C000) /* Base @ of Page 316, 4 Kbytes */
#define ADDR_FLASH_PAGE_317   ((uint32_t)0x0813D000) /* Base @ of Page 317, 4 Kbytes */
#define ADDR_FLASH_PAGE_318   ((uint32_t)0x0813E000) /* Base @ of Page 318, 4 Kbytes */
#define ADDR_FLASH_PAGE_319   ((uint32_t)0x0813F000) /* Base @ of Page 319, 4 Kbytes */
#define ADDR_FLASH_PAGE_320   ((uint32_t)0x08140000) /* Base @ of Page 320, 4 Kbytes */
#define ADDR_FLASH_PAGE_321   ((uint32_t)0x08141000) /* Base @ of Page 321, 4 Kbytes */
#define ADDR_FLASH_PAGE_322   ((uint32_t)0x08142000) /* Base @ of Page 322, 4 Kbytes */
#define ADDR_FLASH_PAGE_323   ((uint32_t)0x08143000) /* Base @ of Page 323, 4 Kbytes */
#define ADDR_FLASH_PAGE_324   ((uint32_t)0x08144000) /* Base @ of Page 324, 4 Kbytes */
#define ADDR_FLASH_PAGE_325   ((uint32_t)0x08145000) /* Base @ of Page 325, 4 Kbytes */
#define ADDR_FLASH_PAGE_326   ((uint32_t)0x08146000) /* Base @ of Page 326, 4 Kbytes */
#define ADDR_FLASH_PAGE_327   ((uint32_t)0x08147000) /* Base @ of Page 327, 4 Kbytes */
#define ADDR_FLASH_PAGE_328   ((uint32_t)0x08148000) /* Base @ of Page 328, 4 Kbytes */
#define ADDR_FLASH_PAGE_329   ((uint32_t)0x08149000) /* Base @ of Page 329, 4 Kbytes */
#define ADDR_FLASH_PAGE_330   ((uint32_t)0x0814A000) /* Base @ of Page 330, 4 Kbytes */
#define ADDR_FLASH_PAGE_331   ((uint32_t)0x0814B000) /* Base @ of Page 331, 4 Kbytes */
#define ADDR_FLASH_PAGE_332   ((uint32_t)0x0814C000) /* Base @ of Page 332, 4 Kbytes */
#define ADDR_FLASH_PAGE_333   ((uint32_t)0x0814D000) /* Base @ of Page 333, 4 Kbytes */
#define ADDR_FLASH_PAGE_334   ((uint32_t)0x0814E000) /* Base @ of Page 334, 4 Kbytes */
#define ADDR_FLASH_PAGE_335   ((uint32_t)0x0814F000) /* Base @ of Page 335, 4 Kbytes */
#define ADDR_FLASH_PAGE_336   ((uint32_t)0x08150000) /* Base @ of Page 336, 4 Kbytes */
#define ADDR_FLASH_PAGE_337   ((uint32_t)0x08151000) /* Base @ of Page 337, 4 Kbytes */
#define ADDR_FLASH_PAGE_338   ((uint32_t)0x08152000) /* Base @ of Page 338, 4 Kbytes */
#define ADDR_FLASH_PAGE_339   ((uint32_t)0x08153000) /* Base @ of Page 339, 4 Kbytes */
#define ADDR_FLASH_PAGE_340   ((uint32_t)0x08154000) /* Base @ of Page 340, 4 Kbytes */
#define ADDR_FLASH_PAGE_341   ((uint32_t)0x08155000) /* Base @ of Page 341, 4 Kbytes */
#define ADDR_FLASH_PAGE_342   ((uint32_t)0x08156000) /* Base @ of Page 342, 4 Kbytes */
#define ADDR_FLASH_PAGE_343   ((uint32_t)0x08157000) /* Base @ of Page 343, 4 Kbytes */
#define ADDR_FLASH_PAGE_344   ((uint32_t)0x08158000) /* Base @ of Page 344, 4 Kbytes */
#define ADDR_FLASH_PAGE_345   ((uint32_t)0x08159000) /* Base @ of Page 345, 4 Kbytes */
#define ADDR_FLASH_PAGE_346   ((uint32_t)0x0815A000) /* Base @ of Page 346, 4 Kbytes */
#define ADDR_FLASH_PAGE_347   ((uint32_t)0x0815B000) /* Base @ of Page 347, 4 Kbytes */
#define ADDR_FLASH_PAGE_348   ((uint32_t)0x0815C000) /* Base @ of Page 348, 4 Kbytes */
#define ADDR_FLASH_PAGE_349   ((uint32_t)0x0815D000) /* Base @ of Page 349, 4 Kbytes */
#define ADDR_FLASH_PAGE_350   ((uint32_t)0x0815E000) /* Base @ of Page 350, 4 Kbytes */
#define ADDR_FLASH_PAGE_351   ((uint32_t)0x0815F000) /* Base @ of Page 351, 4 Kbytes */
#define ADDR_FLASH_PAGE_352   ((uint32_t)0x08160000) /* Base @ of Page 352, 4 Kbytes */
#define ADDR_FLASH_PAGE_353   ((uint32_t)0x08161000) /* Base @ of Page 353, 4 Kbytes */
#define ADDR_FLASH_PAGE_354   ((uint32_t)0x08162000) /* Base @ of Page 354, 4 Kbytes */
#define ADDR_FLASH_PAGE_355   ((uint32_t)0x08163000) /* Base @ of Page 355, 4 Kbytes */
#define ADDR_FLASH_PAGE_356   ((uint32_t)0x08164000) /* Base @ of Page 356, 4 Kbytes */
#define ADDR_FLASH_PAGE_357   ((uint32_t)0x08165000) /* Base @ of Page 357, 4 Kbytes */
#define ADDR_FLASH_PAGE_358   ((uint32_t)0x08166000) /* Base @ of Page 358, 4 Kbytes */
#define ADDR_FLASH_PAGE_359   ((uint32_t)0x08167000) /* Base @ of Page 359, 4 Kbytes */
#define ADDR_FLASH_PAGE_360   ((uint32_t)0x08168000) /* Base @ of Page 360, 4 Kbytes */
#define ADDR_FLASH_PAGE_361   ((uint32_t)0x08169000) /* Base @ of Page 361, 4 Kbytes */
#define ADDR_FLASH_PAGE_362   ((uint32_t)0x0816A000) /* Base @ of Page 362, 4 Kbytes */
#define ADDR_FLASH_PAGE_363   ((uint32_t)0x0816B000) /* Base @ of Page 363, 4 Kbytes */
#define ADDR_FLASH_PAGE_364   ((uint32_t)0x0816C000) /* Base @ of Page 364, 4 Kbytes */
#define ADDR_FLASH_PAGE_365   ((uint32_t)0x0816D000) /* Base @ of Page 365, 4 Kbytes */
#define ADDR_FLASH_PAGE_366   ((uint32_t)0x0816E000) /* Base @ of Page 366, 4 Kbytes */
#define ADDR_FLASH_PAGE_367   ((uint32_t)0x0816F000) /* Base @ of Page 367, 4 Kbytes */
#define ADDR_FLASH_PAGE_368   ((uint32_t)0x08170000) /* Base @ of Page 368, 4 Kbytes */
#define ADDR_FLASH_PAGE_369   ((uint32_t)0x08171000) /* Base @ of Page 369, 4 Kbytes */
#define ADDR_FLASH_PAGE_370   ((uint32_t)0x08172000) /* Base @ of Page 370, 4 Kbytes */
#define ADDR_FLASH_PAGE_371   ((uint32_t)0x08173000) /* Base @ of Page 371, 4 Kbytes */
#define ADDR_FLASH_PAGE_372   ((uint32_t)0x08174000) /* Base @ of Page 372, 4 Kbytes */
#define ADDR_FLASH_PAGE_373   ((uint32_t)0x08175000) /* Base @ of Page 373, 4 Kbytes */
#define ADDR_FLASH_PAGE_374   ((uint32_t)0x08176000) /* Base @ of Page 374, 4 Kbytes */
#define ADDR_FLASH_PAGE_375   ((uint32_t)0x08177000) /* Base @ of Page 375, 4 Kbytes */
#define ADDR_FLASH_PAGE_376   ((uint32_t)0x08178000) /* Base @ of Page 376, 4 Kbytes */
#define ADDR_FLASH_PAGE_377   ((uint32_t)0x08179000) /* Base @ of Page 377, 4 Kbytes */
#define ADDR_FLASH_PAGE_378   ((uint32_t)0x0817A000) /* Base @ of Page 378, 4 Kbytes */
#define ADDR_FLASH_PAGE_379   ((uint32_t)0x0817B000) /* Base @ of Page 379, 4 Kbytes */
#define ADDR_FLASH_PAGE_380   ((uint32_t)0x0817C000) /* Base @ of Page 380, 4 Kbytes */
#define ADDR_FLASH_PAGE_381   ((uint32_t)0x0817D000) /* Base @ of Page 381, 4 Kbytes */
#define ADDR_FLASH_PAGE_382   ((uint32_t)0x0817E000) /* Base @ of Page 382, 4 Kbytes */
#define ADDR_FLASH_PAGE_383   ((uint32_t)0x0817F000) /* Base @ of Page 383, 4 Kbytes */
#define ADDR_FLASH_PAGE_384   ((uint32_t)0x08180000) /* Base @ of Page 384, 4 Kbytes */
#define ADDR_FLASH_PAGE_385   ((uint32_t)0x08181000) /* Base @ of Page 385, 4 Kbytes */
#define ADDR_FLASH_PAGE_386   ((uint32_t)0x08182000) /* Base @ of Page 386, 4 Kbytes */
#define ADDR_FLASH_PAGE_387   ((uint32_t)0x08183000) /* Base @ of Page 387, 4 Kbytes */
#define ADDR_FLASH_PAGE_388   ((uint32_t)0x08184000) /* Base @ of Page 388, 4 Kbytes */
#define ADDR_FLASH_PAGE_389   ((uint32_t)0x08185000) /* Base @ of Page 389, 4 Kbytes */
#define ADDR_FLASH_PAGE_390   ((uint32_t)0x08186000) /* Base @ of Page 390, 4 Kbytes */
#define ADDR_FLASH_PAGE_391   ((uint32_t)0x08187000) /* Base @ of Page 391, 4 Kbytes */
#define ADDR_FLASH_PAGE_392   ((uint32_t)0x08188000) /* Base @ of Page 392, 4 Kbytes */
#define ADDR_FLASH_PAGE_393   ((uint32_t)0x08189000) /* Base @ of Page 393, 4 Kbytes */
#define ADDR_FLASH_PAGE_394   ((uint32_t)0x0818A000) /* Base @ of Page 394, 4 Kbytes */
#define ADDR_FLASH_PAGE_395   ((uint32_t)0x0818B000) /* Base @ of Page 395, 4 Kbytes */
#define ADDR_FLASH_PAGE_396   ((uint32_t)0x0818C000) /* Base @ of Page 396, 4 Kbytes */
#define ADDR_FLASH_PAGE_397   ((uint32_t)0x0818D000) /* Base @ of Page 397, 4 Kbytes */
#define ADDR_FLASH_PAGE_398   ((uint32_t)0x0818E000) /* Base @ of Page 398, 4 Kbytes */
#define ADDR_FLASH_PAGE_399   ((uint32_t)0x0818F000) /* Base @ of Page 399, 4 Kbytes */
#define ADDR_FLASH_PAGE_400   ((uint32_t)0x08190000) /* Base @ of Page 400, 4 Kbytes */
#define ADDR_FLASH_PAGE_401   ((uint32_t)0x08191000) /* Base @ of Page 401, 4 Kbytes */
#define ADDR_FLASH_PAGE_402   ((uint32_t)0x08192000) /* Base @ of Page 402, 4 Kbytes */
#define ADDR_FLASH_PAGE_403   ((uint32_t)0x08193000) /* Base @ of Page 403, 4 Kbytes */
#define ADDR_FLASH_PAGE_404   ((uint32_t)0x08194000) /* Base @ of Page 404, 4 Kbytes */
#define ADDR_FLASH_PAGE_405   ((uint32_t)0x08195000) /* Base @ of Page 405, 4 Kbytes */
#define ADDR_FLASH_PAGE_406   ((uint32_t)0x08196000) /* Base @ of Page 406, 4 Kbytes */
#define ADDR_FLASH_PAGE_407   ((uint32_t)0x08197000) /* Base @ of Page 407, 4 Kbytes */
#define ADDR_FLASH_PAGE_408   ((uint32_t)0x08198000) /* Base @ of Page 408, 4 Kbytes */
#define ADDR_FLASH_PAGE_409   ((uint32_t)0x08199000) /* Base @ of Page 409, 4 Kbytes */
#define ADDR_FLASH_PAGE_410   ((uint32_t)0x0819A000) /* Base @ of Page 410, 4 Kbytes */
#define ADDR_FLASH_PAGE_411   ((uint32_t)0x0819B000) /* Base @ of Page 411, 4 Kbytes */
#define ADDR_FLASH_PAGE_412   ((uint32_t)0x0819C000) /* Base @ of Page 412, 4 Kbytes */
#define ADDR_FLASH_PAGE_413   ((uint32_t)0x0819D000) /* Base @ of Page 413, 4 Kbytes */
#define ADDR_FLASH_PAGE_414   ((uint32_t)0x0819E000) /* Base @ of Page 414, 4 Kbytes */
#define ADDR_FLASH_PAGE_415   ((uint32_t)0x0819F000) /* Base @ of Page 415, 4 Kbytes */
#define ADDR_FLASH_PAGE_416   ((uint32_t)0x081A0000) /* Base @ of Page 416, 4 Kbytes */
#define ADDR_FLASH_PAGE_417   ((uint32_t)0x081A1000) /* Base @ of Page 417, 4 Kbytes */
#define ADDR_FLASH_PAGE_418   ((uint32_t)0x081A2000) /* Base @ of Page 418, 4 Kbytes */
#define ADDR_FLASH_PAGE_419   ((uint32_t)0x081A3000) /* Base @ of Page 419, 4 Kbytes */
#define ADDR_FLASH_PAGE_420   ((uint32_t)0x081A4000) /* Base @ of Page 420, 4 Kbytes */
#define ADDR_FLASH_PAGE_421   ((uint32_t)0x081A5000) /* Base @ of Page 421, 4 Kbytes */
#define ADDR_FLASH_PAGE_422   ((uint32_t)0x081A6000) /* Base @ of Page 422, 4 Kbytes */
#define ADDR_FLASH_PAGE_423   ((uint32_t)0x081A7000) /* Base @ of Page 423, 4 Kbytes */
#define ADDR_FLASH_PAGE_424   ((uint32_t)0x081A8000) /* Base @ of Page 424, 4 Kbytes */
#define ADDR_FLASH_PAGE_425   ((uint32_t)0x081A9000) /* Base @ of Page 425, 4 Kbytes */
#define ADDR_FLASH_PAGE_426   ((uint32_t)0x081AA000) /* Base @ of Page 426, 4 Kbytes */
#define ADDR_FLASH_PAGE_427   ((uint32_t)0x081AB000) /* Base @ of Page 427, 4 Kbytes */
#define ADDR_FLASH_PAGE_428   ((uint32_t)0x081AC000) /* Base @ of Page 428, 4 Kbytes */
#define ADDR_FLASH_PAGE_429   ((uint32_t)0x081AD000) /* Base @ of Page 429, 4 Kbytes */
#define ADDR_FLASH_PAGE_430   ((uint32_t)0x081AE000) /* Base @ of Page 430, 4 Kbytes */
#define ADDR_FLASH_PAGE_431   ((uint32_t)0x081AF000) /* Base @ of Page 431, 4 Kbytes */
#define ADDR_FLASH_PAGE_432   ((uint32_t)0x081B0000) /* Base @ of Page 432, 4 Kbytes */
#define ADDR_FLASH_PAGE_433   ((uint32_t)0x081B1000) /* Base @ of Page 433, 4 Kbytes */
#define ADDR_FLASH_PAGE_434   ((uint32_t)0x081B2000) /* Base @ of Page 434, 4 Kbytes */
#define ADDR_FLASH_PAGE_435   ((uint32_t)0x081B3000) /* Base @ of Page 435, 4 Kbytes */
#define ADDR_FLASH_PAGE_436   ((uint32_t)0x081B4000) /* Base @ of Page 436, 4 Kbytes */
#define ADDR_FLASH_PAGE_437   ((uint32_t)0x081B5000) /* Base @ of Page 437, 4 Kbytes */
#define ADDR_FLASH_PAGE_438   ((uint32_t)0x081B6000) /* Base @ of Page 438, 4 Kbytes */
#define ADDR_FLASH_PAGE_439   ((uint32_t)0x081B7000) /* Base @ of Page 439, 4 Kbytes */
#define ADDR_FLASH_PAGE_440   ((uint32_t)0x081B8000) /* Base @ of Page 440, 4 Kbytes */
#define ADDR_FLASH_PAGE_441   ((uint32_t)0x081B9000) /* Base @ of Page 441, 4 Kbytes */
#define ADDR_FLASH_PAGE_442   ((uint32_t)0x081BA000) /* Base @ of Page 442, 4 Kbytes */
#define ADDR_FLASH_PAGE_443   ((uint32_t)0x081BB000) /* Base @ of Page 443, 4 Kbytes */
#define ADDR_FLASH_PAGE_444   ((uint32_t)0x081BC000) /* Base @ of Page 444, 4 Kbytes */
#define ADDR_FLASH_PAGE_445   ((uint32_t)0x081BD000) /* Base @ of Page 445, 4 Kbytes */
#define ADDR_FLASH_PAGE_446   ((uint32_t)0x081BE000) /* Base @ of Page 446, 4 Kbytes */
#define ADDR_FLASH_PAGE_447   ((uint32_t)0x081BF000) /* Base @ of Page 447, 4 Kbytes */
#define ADDR_FLASH_PAGE_448   ((uint32_t)0x081C0000) /* Base @ of Page 448, 4 Kbytes */
#define ADDR_FLASH_PAGE_449   ((uint32_t)0x081C1000) /* Base @ of Page 449, 4 Kbytes */
#define ADDR_FLASH_PAGE_450   ((uint32_t)0x081C2000) /* Base @ of Page 450, 4 Kbytes */
#define ADDR_FLASH_PAGE_451   ((uint32_t)0x081C3000) /* Base @ of Page 451, 4 Kbytes */
#define ADDR_FLASH_PAGE_452   ((uint32_t)0x081C4000) /* Base @ of Page 452, 4 Kbytes */
#define ADDR_FLASH_PAGE_453   ((uint32_t)0x081C5000) /* Base @ of Page 453, 4 Kbytes */
#define ADDR_FLASH_PAGE_454   ((uint32_t)0x081C6000) /* Base @ of Page 454, 4 Kbytes */
#define ADDR_FLASH_PAGE_455   ((uint32_t)0x081C7000) /* Base @ of Page 455, 4 Kbytes */
#define ADDR_FLASH_PAGE_456   ((uint32_t)0x081C8000) /* Base @ of Page 456, 4 Kbytes */
#define ADDR_FLASH_PAGE_457   ((uint32_t)0x081C9000) /* Base @ of Page 457, 4 Kbytes */
#define ADDR_FLASH_PAGE_458   ((uint32_t)0x081CA000) /* Base @ of Page 458, 4 Kbytes */
#define ADDR_FLASH_PAGE_459   ((uint32_t)0x081CB000) /* Base @ of Page 459, 4 Kbytes */
#define ADDR_FLASH_PAGE_460   ((uint32_t)0x081CC000) /* Base @ of Page 460, 4 Kbytes */
#define ADDR_FLASH_PAGE_461   ((uint32_t)0x081CD000) /* Base @ of Page 461, 4 Kbytes */
#define ADDR_FLASH_PAGE_462   ((uint32_t)0x081CE000) /* Base @ of Page 462, 4 Kbytes */
#define ADDR_FLASH_PAGE_463   ((uint32_t)0x081CF000) /* Base @ of Page 463, 4 Kbytes */
#define ADDR_FLASH_PAGE_464   ((uint32_t)0x081D0000) /* Base @ of Page 464, 4 Kbytes */
#define ADDR_FLASH_PAGE_465   ((uint32_t)0x081D1000) /* Base @ of Page 465, 4 Kbytes */
#define ADDR_FLASH_PAGE_466   ((uint32_t)0x081D2000) /* Base @ of Page 466, 4 Kbytes */
#define ADDR_FLASH_PAGE_467   ((uint32_t)0x081D3000) /* Base @ of Page 467, 4 Kbytes */
#define ADDR_FLASH_PAGE_468   ((uint32_t)0x081D4000) /* Base @ of Page 468, 4 Kbytes */
#define ADDR_FLASH_PAGE_469   ((uint32_t)0x081D5000) /* Base @ of Page 469, 4 Kbytes */
#define ADDR_FLASH_PAGE_470   ((uint32_t)0x081D6000) /* Base @ of Page 470, 4 Kbytes */
#define ADDR_FLASH_PAGE_471   ((uint32_t)0x081D7000) /* Base @ of Page 471, 4 Kbytes */
#define ADDR_FLASH_PAGE_472   ((uint32_t)0x081D8000) /* Base @ of Page 472, 4 Kbytes */
#define ADDR_FLASH_PAGE_473   ((uint32_t)0x081D9000) /* Base @ of Page 473, 4 Kbytes */
#define ADDR_FLASH_PAGE_474   ((uint32_t)0x081DA000) /* Base @ of Page 474, 4 Kbytes */
#define ADDR_FLASH_PAGE_475   ((uint32_t)0x081DB000) /* Base @ of Page 475, 4 Kbytes */
#define ADDR_FLASH_PAGE_476   ((uint32_t)0x081DC000) /* Base @ of Page 476, 4 Kbytes */
#define ADDR_FLASH_PAGE_477   ((uint32_t)0x081DD000) /* Base @ of Page 477, 4 Kbytes */
#define ADDR_FLASH_PAGE_478   ((uint32_t)0x081DE000) /* Base @ of Page 478, 4 Kbytes */
#define ADDR_FLASH_PAGE_479   ((uint32_t)0x081DF000) /* Base @ of Page 479, 4 Kbytes */
#define ADDR_FLASH_PAGE_480   ((uint32_t)0x081E0000) /* Base @ of Page 480, 4 Kbytes */
#define ADDR_FLASH_PAGE_481   ((uint32_t)0x081E1000) /* Base @ of Page 481, 4 Kbytes */
#define ADDR_FLASH_PAGE_482   ((uint32_t)0x081E2000) /* Base @ of Page 482, 4 Kbytes */
#define ADDR_FLASH_PAGE_483   ((uint32_t)0x081E3000) /* Base @ of Page 483, 4 Kbytes */
#define ADDR_FLASH_PAGE_484   ((uint32_t)0x081E4000) /* Base @ of Page 484, 4 Kbytes */
#define ADDR_FLASH_PAGE_485   ((uint32_t)0x081E5000) /* Base @ of Page 485, 4 Kbytes */
#define ADDR_FLASH_PAGE_486   ((uint32_t)0x081E6000) /* Base @ of Page 486, 4 Kbytes */
#define ADDR_FLASH_PAGE_487   ((uint32_t)0x081E7000) /* Base @ of Page 487, 4 Kbytes */
#define ADDR_FLASH_PAGE_488   ((uint32_t)0x081E8000) /* Base @ of Page 488, 4 Kbytes */
#define ADDR_FLASH_PAGE_489   ((uint32_t)0x081E9000) /* Base @ of Page 489, 4 Kbytes */
#define ADDR_FLASH_PAGE_490   ((uint32_t)0x081EA000) /* Base @ of Page 490, 4 Kbytes */
#define ADDR_FLASH_PAGE_491   ((uint32_t)0x081EB000) /* Base @ of Page 491, 4 Kbytes */
#define ADDR_FLASH_PAGE_492   ((uint32_t)0x081EC000) /* Base @ of Page 492, 4 Kbytes */
#define ADDR_FLASH_PAGE_493   ((uint32_t)0x081ED000) /* Base @ of Page 493, 4 Kbytes */
#define ADDR_FLASH_PAGE_494   ((uint32_t)0x081EE000) /* Base @ of Page 494, 4 Kbytes */
#define ADDR_FLASH_PAGE_495   ((uint32_t)0x081EF000) /* Base @ of Page 495, 4 Kbytes */
#define ADDR_FLASH_PAGE_496   ((uint32_t)0x081F0000) /* Base @ of Page 496, 4 Kbytes */
#define ADDR_FLASH_PAGE_497   ((uint32_t)0x081F1000) /* Base @ of Page 497, 4 Kbytes */
#define ADDR_FLASH_PAGE_498   ((uint32_t)0x081F2000) /* Base @ of Page 498, 4 Kbytes */
#define ADDR_FLASH_PAGE_499   ((uint32_t)0x081F3000) /* Base @ of Page 499, 4 Kbytes */
#define ADDR_FLASH_PAGE_500   ((uint32_t)0x081F4000) /* Base @ of Page 500, 4 Kbytes */
#define ADDR_FLASH_PAGE_501   ((uint32_t)0x081F5000) /* Base @ of Page 501, 4 Kbytes */
#define ADDR_FLASH_PAGE_502   ((uint32_t)0x081F6000) /* Base @ of Page 502, 4 Kbytes */
#define ADDR_FLASH_PAGE_503   ((uint32_t)0x081F7000) /* Base @ of Page 503, 4 Kbytes */
#define ADDR_FLASH_PAGE_504   ((uint32_t)0x081F8000) /* Base @ of Page 504, 4 Kbytes */
#define ADDR_FLASH_PAGE_505   ((uint32_t)0x081F9000) /* Base @ of Page 505, 4 Kbytes */
#define ADDR_FLASH_PAGE_506   ((uint32_t)0x081FA000) /* Base @ of Page 506, 4 Kbytes */
#define ADDR_FLASH_PAGE_507   ((uint32_t)0x081FB000) /* Base @ of Page 507, 4 Kbytes */
#define ADDR_FLASH_PAGE_508   ((uint32_t)0x081FC000) /* Base @ of Page 508, 4 Kbytes */
#define ADDR_FLASH_PAGE_509   ((uint32_t)0x081FD000) /* Base @ of Page 509, 4 Kbytes */
#define ADDR_FLASH_PAGE_510   ((uint32_t)0x081FE000) /* Base @ of Page 510, 4 Kbytes */
#define ADDR_FLASH_PAGE_511   ((uint32_t)0x081FF000) /* Base @ of Page 511, 4 Kbytes */


/* Exported functions ------------------------------------------------------- */

#endif /* __MAIN_H */

/************************ (C) COPYRIGHT STMicroelectronics *****END OF FILE****/
